@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

:root{
    --main-color: #e82574;
    --black: #000;
    --light-color: #868e96;
    --white-color: #ffffff;
    --primary-color: #e82574;
  --primary-color-dark: #bc1c5c;
  --text-dark: #0c0a09;
  --text-light: #78716c;
  --white: #ffffff;
  --max-width: 1200px;
}

*{
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    text-transform: capitalize;
    transition: all .2s linear;
}
.section__container {
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
  }
  
  .section__subheader {
    margin-bottom: 0.5rem;
    position: relative;
    font-weight: 500;
    letter-spacing: 2px;
    color: var(--text-dark);
  }
  
  .section__subheader::after {
    position: absolute;
    content: "";
    top: 50%;
    transform: translate(1rem, -50%);
    height: 2px;
    width: 4rem;
    background-color: var(--primary-color);
  }
  
  .section__header {
    max-width: 600px;
    margin-bottom: 1rem;
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 3rem;
    color: var(--text-dark);
  }
  
  .section__description {
    max-width: 600px;
    margin-bottom: 1rem;
    color: var(--text-light);
    font-size: medium;
  }

.about__container {
  overflow: hidden;
  display: grid;
  gap: 2rem;
}

.about__image img {
  max-width: 450px;
  margin: auto;
  border-radius: 5px;
}


::selection{
    background: var(--main-color);
    color: #fff;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
    overflow-x: hidden;
    scroll-padding-top: 7rem;
}

html::-webkit-scrollbar{
    width: 1rem;
}

html::-webkit-scrollbar-track{
    background: #fafafa;
}

html::-webkit-scrollbar-thumb{
    background: var(--main-color);
    border-radius: 5rem;
}

section{
    padding: 2rem 9%;
}

.heading{
    font-size: 4rem;
    text-align: center;
    padding-top: 4rem;
    padding-bottom: 2rem;
    color: var(--black);
    
}

.heading span{
    
    color: var(--main-color);
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    font-size: 1.7rem;
    background: var(--main-color);
    font-weight: 500;
    cursor: pointer;
    color: var(--main-color);
}

.btn:hover{
    background: var(--main-color);
    color: #fff;
    letter-spacing: .1rem;
}

.btn1 a{
    color: white;
    
    }
    
    .btn1 {
      padding: 0.75rem 1.5rem;
      outline: none;
      border: none;
      font-size: 1.6rem;
      font-weight: 500;
      color: var(--white);
      background-color: var(--primary-color);
      border-radius: 5px;
      cursor: pointer;
      transition: 0.3s;
    }
    
    .btn1:hover {
      background-color: var(--primary-color-dark);
    }
    
/* ---------------------------------------------- header section starts -------------------------  */

.header{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    padding: 1rem 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    
    box-shadow: 0rem .1rem .5rem rgba(255, 255, 255, 0.1);
}

.logo img{
    
    max-width: 100px;
    height: 100px;
}


.header .navbar a{
    font-size: 1.7rem;
    color: var(--main-color);
    margin: 0 1rem;
}

.header .navbar a:hover{
    color: var(--main-color);
}

.header .icons div{
    font-size: 2.5rem;
    color: #222;
    padding: .5rem;
    cursor: pointer;
    margin-left: 1rem;
    color: #fff;
}

.header .icons div:hover{
    transform: rotate(180deg);
}

#menu-btn{
    display: none;
}

.header .icons a{
    font-size: 1.5rem;
    letter-spacing: .1rem;
    color: #fff;
    background: var(--main-color);
    font-weight: 500;
    text-transform: uppercase;
    padding: .8rem 2rem;
    border: none;
}

.header .icons div:hover{
    color: var(--main-color);
}

.header .icons a:hover{
    color: var(--main-color);
    background: #fff;
}

.header.header.active{
    padding: 1rem 5%;
    
}

/* ---------------------------------------------- header section ends -------------------------  */

/* ----------------------------------------------- home section starts ------------------------  */

.home{
    padding: 0;
}

.home .home-slider .box{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    background-size: cover !important;
    background-position: center !important;
}

.home .home-slider .box .content{
    text-align: center;
    max-width: 70rem;
}

.home .home-slider .box .content h3{
    font-size: 5rem;
    color: #fff;
    
    transition-delay: .2s;
}

.home .home-slider .box .content p{
    font-size: 1.7rem;
    color: #eee;
    transition-delay: .4s;
    padding: 1rem 0;
}

.home .home-slider .box .content .button .btn-1{
    background: var(--main-color);
    color: #fff;
    margin-right: .5rem;
}

.home .home-slider .box .content .button .btn-1:hover{
    background: #fff;
    color: var(--main-color);
}

.home .home-slider .box .content .button{
    transition-delay: .6s;
}

.home .home-slider .box .content > *{
    transform: translateY(2rem);
    opacity: 0;
}

.home .home-slider .swiper-slide-active .content > *{
    transform: translateY(0);
    opacity: 1;
}

/* ----------------------------------------------- home section ends ------------------------  */

/* --------------------------------------------- feature section starts ------------------------   */

.feature .feature-slider{
    padding-bottom: 4rem;
}

.feature .feature-slider .box{
    position: relative;
    text-align: center;
    overflow: hidden;
    margin: 1rem 0;
}

.feature .feature-slider .box .image{
    height: 40rem;
    width: 100%;
    overflow: hidden;
}

.feature .feature-slider .box .image img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.feature .feature-slider .box:hover .image img{
    transform: scale(1.2);
}

.feature .feature-slider .box:hover .content .price{
    background: none;
    border: .3rem solid #fff;
}

.feature .feature-slider .box .content{
    padding: 1rem 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    align-items: center;
}

.feature .feature-slider .box .content h3{
    font-size: 2rem;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    background: rgba(0,0,0,.3);
    padding: .2rem;
    margin-top: .5rem;
}

.feature .feature-slider .box .content .price{
    width: 10rem;
    height: 10rem;
    line-height: 10rem;
    border-radius: 50%;
    text-align: center;
    margin: auto;
    background: var(--main-color);
    font-size: 2rem;
    font-weight: bolder;
    color: #fff;
}

/* --------------------------------------------- feature section ends ------------------------   */

/* --------------------------------------------- footer section starts ----------------------  */

.footer{
  background: #222;
}

.footer .box-container{
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(35rem , 1fr));
  gap: 1.5rem;
}

.footer .box-container .box{
  padding: 2rem;
}

.footer .box-container .box h1{
  font-size: 2.5rem;
  color: #fff;
  font-weight: 600;
  padding-bottom: 1rem;
}

.footer .box-container .box .text{
  color: #eee;
  font-size: 1.3rem;
  font-weight: normal;
  line-height: 1.8;
  padding-bottom: 1rem;
}

.footer .box-container .box .icon{
  padding: 1rem 0;
}

.footer .box-container .box .icon a i{
  height: 5rem;
  width: 5rem;
  line-height: 5rem;
  background: var(--main-color);
  text-align: center;
  font-size: 2rem;
  border-radius: 50%;
  margin: 0 .5rem;
  color: #fff;
}

.footer .box-container .box .icon a i:hover{
  color: var(--main-color);
  background: none;
  border: .2rem solid var(--main-color);
}

.footer .box-container .box .icons a{
  display: block;
  color: #fff;
  font-size: 1.5rem;
  margin: 1.5rem 0;
}

.footer .box-container .box .icons a i{
  margin-right: .5rem;
  color: var(--main-color);
}

.footer .box-container .box .icons a:hover i{
  padding-right: 2rem;
  color: #fff;
}

.footer .box-container .box .icons a:hover{
  color: var(--main-color);
}

.footer .credit{
  padding: 3rem 0;
  text-align: center;
  border-top: .1rem solid #808080;
  margin-top: 2rem;
  font-size: 2rem;
  font-weight: 500;
  color: #eee;
}

.footer .credit span{
  color: var(--main-color);
}

/* --------------------------------------------- footer section ends ----------------------  */

/* -------------------------- media quries starts -------------------- */

@media (width > 576px) {
    .room__grid {
      grid-template-columns: repeat(2, 1fr);
    }
  
    .footer__container {
      grid-template-columns: repeat(2, 1fr);
    }
  }
  
  @media (width > 768px) {
    nav {
      padding: 2rem 1rem;
      position: static;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  
    .nav__bar {
      padding: 0;
      background-color: transparent;
    }
  
    .nav__menu__btn {
      display: none;
    }
  
    .nav__links {
      padding: 0;
      width: unset;
      position: static;
      transform: none;
      flex-direction: row;
      background-color: transparent;
    }
  
    .nav__btn {
      display: block;
    }
  
    .nav__links a::after {
      position: absolute;
      content: "";
      left: 0;
      bottom: 0;
      height: 2px;
      width: 0;
      background-color: var(--primary-color);
      transition: 0.3s;
      transform-origin: left;
    }
  
    .nav__links a:hover::after {
      width: 100%;
    }
  
    .about__container {
      grid-template-columns: repeat(2, 1fr);
      align-items: center;
    }
  
    .room__grid {
      grid-template-columns: repeat(3, 1fr);
    }
  
    .service__content {
      grid-column: 2/3;
    }
  
    .footer__container {
      grid-template-columns: repeat(4, 1fr);
    }
  }
  
  @media (width > 1024px) {
    .room__grid {
      gap: 2rem;
    }
  }
  

@media (max-width: 991px){

  html{
      font-size: 55%;
  }

  .header{
      padding: 2rem;
  }

  .header.header.active{
      padding: 2rem;
  }

  section{
      padding: 2rem;
  }

}

/* ------------------- for max-width 768px ------------------  */

@media (max-width: 768px){

  #menu-btn{
      display: inline-block;
  }

  .header .navbar{
      position: absolute;
      top: 100%;
      right: 0;
      left: 0;
      background: rgba(0,0,0,.9);
      clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
      border-top: .1rem solid #eee;
  }

  .header .navbar.active{
      clip-path: polygon(0 0,100% 0, 100% 100%, 0 100%);
  }

  .header .navbar a{
      display: block;
      margin: 2rem;
      font-size: 2rem;
  }

  .feature .feature-slider .box .content h3{
      padding: 1rem;
  }

  .testimonial .box-container{
      padding: 1rem 0;
  }

  .testimonial .box-container .box{
      margin-top: 3rem;
  }

}

/* ------------------- for max-width 450px ------------------  */

@media (max-width: 450px){

  html{
      font-size: 50%;
  }

  .header .icons a{
      letter-spacing: none;
      font-size: 1.3rem;
      padding: 1rem;
  }

}